

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/afs/mntpt.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN fs/afs/mntpt.c~kafs-automount-support-build-fix fs/afs/mntpt.c
--- 25/fs/afs/mntpt.c~kafs-automount-support-build-fix	Thu Jul  1 17:40:09 2004
+++ 25-akpm/fs/afs/mntpt.c	Thu Jul  1 17:40:27 2004
@@ -160,6 +160,7 @@ static struct vfsmount *afs_mntpt_do_aut
 	struct page *page = NULL;
 	size_t size;
 	char *buf, *devname = NULL, *options = NULL;
+	filler_t *filler;
 	int ret;
 
 	kenter("{%s}", mntpt->d_name.name);
@@ -181,7 +182,7 @@ static struct vfsmount *afs_mntpt_do_aut
 		goto error;
 
 	/* read the contents of the AFS special symlink */
-	filler_t *filler = mntpt->d_inode->i_mapping->a_ops->readpage;
+	filler = mntpt->d_inode->i_mapping->a_ops->readpage;
 
 	page = read_cache_page(mntpt->d_inode->i_mapping, 0, filler, NULL);
 	if (IS_ERR(page)) {
_
